import * as z from 'zod';
import { ProcedureSourceSchema } from '../../enums/ProcedureSource.schema';
// prettier-ignore
export const AppointmentProcedureInputSchema = z.object({
    id: z.number().int(),
    appointmentId: z.number().int(),
    patientId: z.number().int(),
    npiProviderId: z.number().int().optional().nullable(),
    procedureCode: z.string(),
    procedureLabel: z.string().optional().nullable(),
    fee: z.number().optional().nullable(),
    category: z.string().optional().nullable(),
    toothNumber: z.string().optional().nullable(),
    toothSurface: z.string().optional().nullable(),
    oralCavityArea: z.string().optional().nullable(),
    source: ProcedureSourceSchema,
    comboKey: z.string().optional().nullable(),
    createdAt: z.date(),
    appointment: z.unknown(),
    patient: z.unknown(),
    npiProvider: z.unknown().optional().nullable()
}).strict();

export type AppointmentProcedureInputType = z.infer<typeof AppointmentProcedureInputSchema>;
